Bug 961248 - [RFE] Notify users when they are added to or removed from a group
[RFE] Notify users when they are added to or removed from a group
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
0.12
Unspecified Unspecified
high Severity unspecified (vote)
: 0.13
: ---
Assigned To: Amit Saha
Xin Zhang
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 04:44 EDT by Nick Coghlan
Modified: 2018-02-05 19:41 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-25 02:27:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Coghlan 2013-05-09 04:44:06 EDT
Currently, users can only find out when they have been added to or removed from a group by going and looking at their groups list. Users should received a notification when their group membership status changes.

Open question: should users also receive a notification when group owner privileges are granted/revoked?
Comment 1 Nick Coghlan 2013-05-09 05:01:36 EDT
Another related question: as above for submission delegates (once that feature is added)
Comment 2 Amit Saha 2013-05-17 07:46:22 EDT
On Gerrit: http://gerrit.beaker-project.org/#/c/1948
Comment 3 Amit Saha 2013-05-17 09:52:18 EDT
How about users added as part of a LDAP group?
Comment 4 Dan Callaghan 2013-05-20 20:44:09 EDT
I think LDAP groups should skip the notifications.
Comment 6 Xin Zhang 2013-05-28 21:44:39 EDT
Verified. Have added and removed user to/from a group via Web UI and command line separately and user can be notified from email.

Web UI version:beaker-server-redhat-0.1.14-1.el6eng, beaker-server-0.12.1-1.git.133.6c74a92.el6,beaker-0.12.1-1.git.133.6c74a92.el6

beaker-client version:beaker-client-0.12.1-1.git.138.df77d66.el6eng
Comment 8 Amit Saha 2013-06-25 02:27:29 EDT
Beaker 0.13.1 has been released.

Note You need to log in before you can comment on or make changes to this bug.